<template>
    <div class="item">
        <h1>{{ item.name }}</h1>

        <v-card
            class="mx-auto"
            outlined>
            <v-list-item
                three-line>
                <v-list-item-content>
                    <div>{{ item.name }}</div>
                    <v-card-text>
                        <qrcode
                            :value="item.name"
                            :options="{ width: 200 }"/>
                    </v-card-text>
                </v-list-item-content>

                <v-list-item-avatar
                    tile
                    size="80">
                    <v-img
                        height="100%"
                        :src="`http://localhost:3000/api/v1/repository/${item.name}/thumbnail`"/>
                </v-list-item-avatar>
            </v-list-item>

            <v-card-actions>
                <v-btn
                    text
                    color="deep-purple accent-4">Download</v-btn>
            </v-card-actions>
        </v-card>
    </div>
</template>

<script>
import Vue from 'vue'
import axios from 'axios'
import VueQrcode from '@chenfengyuan/vue-qrcode'

Vue.component(VueQrcode.name, VueQrcode);

export default {
    name: 'Item',
    data() {
        return {
            item: []
        }
    },
    methods: {
        async init() {
            const hash = this.$route.params.id

            const result = await axios.get('http://localhost:3000/api/v1/repository/'+hash)
            this.item = result.data
            console.log(this.item)
        }
    },
    mounted() {
        this.init()
    }
}
</script>
